﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Ventuz.Kernel.Remoting;

namespace RemoteClient
{
    public partial class MachineSignatureForm : Form
    {
        public MachineSignatureForm()
        {
            InitializeComponent();
        }

        private void SignatureUpdated(object sender, MachineSignatureEventArgs e)
        {
            MachineSignatur.PerformanceStatistic perfStats = e.Signatur.PerformanceStatistics;

            this.lblSysMemValues.Text = string.Format("{0:0.0} Mb + {1:0.0} Mb / {2:0.0} Mb", perfStats.SystemMemoryProcessAllocated, perfStats.SystemMemoryGPUAllocated, perfStats.AvailableSystemMemory);
            this.lblGPUMemValues.Text = string.Format("{0:0.0} Mb + {1:0.0} Mb / {2:0.0} Mb", perfStats.GPUMemorySwappable, perfStats.GPUMemoryFixed, perfStats.AvailableGPUMemory);
            this.lblTimeValues.Text = string.Format("V:{0:0.0} ms C:{1:0.0} ms H:{2:0.0} ms R:{3:0.0} ms", perfStats.VideoTime, perfStats.ContentValidationTime, perfStats.HierarchyValidationTime, perfStats.RenderingTime);
            this.lblFrameTimeValues.Text = string.Format("{0:0.0} / {1:0.0} ms   FPS: {2:0.0}", perfStats.UsedTimePerFrame, perfStats.AvailableTimePerFrame, perfStats.FramesPerSecond);

            this.Refresh();
        }

        private void SignatureExpired(object sender, MachineSignatureEventArgs e)
        {

        }
    }
}
